@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');
#nicelogin *{
    font-family:'Poppins', sans-serif;
    color:white;
    text-shadow:0px 0px 0.2rem black;
}
#nicelogin{
    display:flex;
    box-sizing: border-box;
    height:100vh;
    height:100svh;
    width:100%;
    align-items:center;
    justify-content:center;
    position:fixed;
    inset:0;
    z-index:100;
    box-shadow: inset 0 0 min(15vh,15vw) black;
    background:rgba(0,0,0,0.4);
    margin:0;
}
#nicelogin .form-box{
    position:relative;
    padding:clamp(20px, 6vh, 100px) clamp(10px, 3vw, 80px);
    background:rgba(0,0,0,0.2);
    border:2px solid rgba(255,255,255,0.5);
    border-radius:20px;
    backdrop-filter:blur(20px);
    -webkit-backdrop-filter:blur(20px);
}
#nicelogin .form-box h2{
    font-size:clamp(1rem, 2rem, 3rem);
    color:white; 
    text-align:center;
}
#nicelogin .form-box .inputbox{
    position:relative;
    margin:30px 0px;
    border-bottom:2px solid white;
    min-width:20rem;
}
#nicelogin .nicelabel {
    position: absolute;
    top: 50%;
    left:5px;
    transform: translateY(-50%);
    font-size: 1rem;
    pointer-events: none;
    transition: .5s;
}
#nicelogin .normlabel {
    font-size: 1rem;
    pointer-events: none;
}
#nicelogin .numberbox{
    display:flex;
    gap:2rem;
    margin:30px 0px;
}
#nicelogin .numberbox input{
    background:none;
    text-align:center;
    border:none;
    font-size:1rem;
}
#nicelogin input:focus ~ .nicelabel,
#nicelogin input:valid ~ .nicelabel{
    top: -5px;
}
#nicelogin .form-box .inputbox input {
    width:100%;
    height:50px;
    background:transparent;
    border:none;
    outline:none;
    font-size:1rem;
    padding:0 35px 0 5px;
}
#nicelogin .form-box .inputbox ion-icon, #nicelogin .form-box .inputbox #nlmessage{
    position:absolute;
    right:8px;
    font-size:1.2rem;
    top:20px;
}
#nicelogin .form-box .forget{
    margin: -15px 0px 15px;
    font-size:0.9rem;
    display:flex;
    justify-content: center;
}
#nicelogin .form-box .forget a{
    text-decoration:none;
    font-weight: 600;
}
#nicelogin .form-box .forget a:hover{
    text-decoration:underline;
}
#nicelogin .form-box button{
    width:100%;
    height:40px;
    border-radius:40px;
    background:black;
    border:2px solid white;
    outline:none;
    cursor:pointer;
    font-size:1rem;
    font-weight: 500;
 }
 #nicelogin #register{
    font-size:.9rem; 
    text-align:center;
    margin: 25px 0 10px;
 }
 #nicelogin #register a{ 
    text-decoration:none;
    font-weight: 600;
 }
 #nicelogin #register a:hover,  #nicelogin #register a:focus{
    text-decoration:underline;
 }
 #nicelogin .warning{
    color:rgb(200,0,0);
    background:white;
    font-size:0.9rem;
    font-weight: 800;
    text-align:center;
    text-shadow:none;
 }
 #closelogin a{
    position:absolute;
    text-decoration:none;               
    top:0.4em;
    right:0.5em;
    color:darkred;
    font-size:28px;
    z-index:999;
 }
 #loginfooter{
    position:absolute;
    bottom:0;
    left:0;
    right:0;
    text-align:center;
    overflow:hidden;
    padding:5px;
}
#loginfooter a{
    text-decoration:none;
    font-variant:small-caps;
    font-size:0.7em;
    font-weight:600;
 }
 #loginfooter a:hover, #loginfooter a:active{
    font-weight:900;
    color:blue;
    cursor:pointer;
 }
 #privacy{
    display:none;
 }
 #privacy{
    position:absolute;
    z-index:999;
    top:-1.5rem;
    left:-1.5rem;
    right:-1.5rem;
    padding:2rem 1.5rem;
    border-radius: 20px;
    background:rgba(255,255,255,1);
}
 #privacy #privacypolicy, #privacy #privacypolicy *{
    color:black;
 }
 #privacy #closeprivacy{
    color:red;
    position:absolute;
    top:0;
    right:0.5em;
    font-size:2rem;
    cursor:pointer;
 }